Does the linux binary installation provide opengl support?

  • I installed Qt from the Linux 64 binary installer and it has been working great for a few weeks. Today I tried to compile Qwt and I get the following error:

    In file included from qwt_plot_glcanvas.cpp:10:0:
    qwt_plot_glcanvas.h:15:17: fatal error: qgl.h: No such file or directory
    #include <qgl.h>

    Does this suggest I need to compile Qt from source with opengl support?

  • Moderators

    The binary installers are installed with OpenGL support (otherwise you could not run QtGui and QtQuick modules).

  • Lifetime Qt Champion


    To add to sierdzio, you need to install the OpenGL dev package from your distribution. There are a lot of post on this forum about

Log in to reply

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.